language: cn
model_unique_abbr: mathematical_morphological_analysis
version: 1.0
identification:
  docker_image_name: mathematical_morphological_analysis:1.0-geopandas
  model_name: 数学形态学分析
  semantic: Mathematical Morphological Analysis
  description: 数学形态学分析是一种以形态结构元素为基础，对地理空间对象数据进行处理的邻域分析算法，包括腐蚀、膨胀、开闭运算等功能。
  category_application: 诊断型
  category_data:
    - 面数据分析
  keywords:
    - 数学形态学
    - 膨胀
    - 腐蚀
    - 开运算
    - 闭运算
parameter_info:
  parameters:
    - arg_name: input
      is_single_en_dash: false
      param_type: input_data
      name: 空间面数据
      description: "待操作的的空间面数据，输入数据的格式为shp"
      data_type: shapefile
      data_semantic: polygon_data

    - arg_name: input_radius
      is_single_en_dash: false
      param_type: param
      name: radius
      description: 结构元素圆的半径，单位为米， float类型
      data_type: float
      data_semantic: radius of the circular structuring element

    - arg_name: input_type
      is_single_en_dash: false
      param_type: param
      name: 运算类型
      description: 运算类型，1腐蚀, 2膨胀, 3开运算, 4闭运算
      data_semantic: type of calculation
      data_type: enum
      specification:
        default: 1
        enum:
          - 1
          - 2
          - 3
          - 4

    - arg_name: output
      is_single_en_dash: false
      param_type: output_data
      name: 数学形态分析结果
      description: 运算结果为对应数学形态学分析类型的面矢量文件，结果保存为shp格式的文件。
      data_type: str
      data_semantic: Mathematical Morphological Analysis result


application:
  domain: 数学形态学分析
  objective: 对于输入的面要素、结构元素半径，实现膨胀、腐蚀、开运算和闭运算
  dimension:
    - 二维
  mechanism: 数学形态学分析是一种以形态结构元素为基础对地理空间对象数据进行处理的邻域分析算法，如腐蚀、膨胀、开运算和闭运算等功能。腐蚀是利用某一结构元素对数据进行消除边界点，使边界向内部收缩的过程;膨胀是将某一结构元素合并到数据中，使边界向外部扩张的过程;开运算是先腐蚀再膨胀的过程;闭运算是先膨胀再腐蚀的过程。
operation:
  usage: "该算法需要四个参数,输入面shapefile的路径,结构元素半径radius,运算类型type，结果shapefile路径"
  exec_example:
    - docker run -v $(pwd):/data mathematical_morphological_analysis:1.0-geopandas --input /data/input.shp --input_radius 200 --input_type 1 --output /data/Erosion.shp
  output_display:
    - "运算结果为对应数学形态学分析类型的面shapefile，可以通过可视化shp文件查看结果"
technique:
  language:
    - Python
  os:
    - Linux
    - Windows
source:
  maintainer: Zhilong Liu
  organization: Central South University
  contact: 235011045@csu.edu.cn
